Skip to Content

Get a WhatsApp media download URL

Returns a short-lived URL for the media an inbound WhatsApp delivery carried, when Samva stored it.

GET
/v1/whatsapp/media/{deliveryId}/download-url

Returns a short-lived URL for the media an inbound WhatsApp delivery carried, when Samva stored it.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

deliveryId*string
Match^mdel_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
url*string
expiresAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.whatsapp.getMediaDownloadUrl({
  "deliveryId": "example"
});
Example Response
{
  "url": "string",
  "expiresAt": "string"
}

Related documentation